Skip to main content
GET
/
v3
/
video-agents
List Video Agent Sessions
curl --request GET \
  --url https://api.heygen.com/v3/video-agents \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "session_id": "<string>",
      "created_at": 123,
      "title": "<string>"
    }
  ],
  "has_more": true,
  "next_token": "<string>"
}

Authorizations

x-api-key
string
header
required

HeyGen API key. Obtain from your HeyGen dashboard.

Query Parameters

limit
integer
default:20

Results per page (1-100).

Required range: 1 <= x <= 100
token
string

Opaque cursor token for the next page. Obtained from next_token in a previous response.

Response

Successful response

data
SessionListItem · object[]
has_more
boolean

Whether more pages are available

next_token
string | null

Opaque cursor for the next page